%define _unpackaged_files_terminate_build 1
%define oname sqlalchemy_monetdb

%def_disable check

Name: python3-module-%oname
Version: 1.0.0
Release: alt4.1

Summary: SQLAlchemy dialect for MonetDB

License: MIT
Group: Development/Python3
Url: https://pypi.python.org/pypi/sqlalchemy_monetdb/

# Source-url: %__pypi_url %oname
Source: %name-%version.tar

BuildArch: noarch
BuildRequires(pre): rpm-build-intro >= 2.2.5
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel python3-module-setuptools

%if_enabled check
# generated by epm --restore --dry-run from sqlalchemy_monetdb/setup.py tests_require
%py3_buildrequires pytest
%py3_buildrequires mock
%endif

# generated by epm --restore --dry-run from sqlalchemy_monetdb/setup.py install_requires
%py3_use monetdb
%py3_use SQLAlchemy


%description
MonetDB dialect for SQLAlchemy.

%prep
%setup
sed -i '/pytest-runner/d' setup.py

%build
%python3_build_debug

%install
%python3_install
%python3_prune

# there: from sqlalchemy.testing.requirements
rm -f %buildroot%python3_sitelibdir/%oname/requirements.py

%if_enabled check
%check
%python3_test
python3 run_tests.py
%endif

%files
%doc *.rst
%python3_sitelibdir/%oname/
%python3_sitelibdir/%oname-*.egg-info

%changelog
* Mon Oct 17 2022 Grigory Ustinov <grenka@altlinux.org> 1.0.0-alt4.1
- NMU: updated build dependencies.

* Sun Nov 08 2020 Vitaly Lipatov <lav@altlinux.ru> 1.0.0-alt4
- fix requires to tests

* Thu Nov 05 2020 Vitaly Lipatov <lav@altlinux.ru> 1.0.0-alt3
- rebuild with improved python3_prune

* Sat Oct 31 2020 Vitaly Lipatov <lav@altlinux.ru> 1.0.0-alt2
- build python3 separately, update reqs
- drop /test packing

* Fri Feb 02 2018 Stanislav Levin <slev@altlinux.org> 1.0.0-alt1.1
- (NMU) Fix Requires and BuildRequires to python-setuptools

* Thu Jan 25 2018 Aleksei Nikiforov <darktemplar@altlinux.org> 1.0.0-alt1
- Updated to upstream version 1.0.0.

* Wed Jan 11 2017 Igor Vlasenko <viy@altlinux.ru> 0.9.3-alt1
- automated PyPI update

* Sun Mar 13 2016 Ivan Zakharyaschev <imz@altlinux.org> 0.9-alt1.1.1
- (NMU) rebuild with rpm-build-python3-0.1.9
  (for common python3/site-packages/ and auto python3.3-ABI dep when needed)

* Thu Jan 28 2016 Mikhail Efremov <sem@altlinux.org> 0.9-alt1.1
- NMU: Use buildreq for BR.

* Fri Jan 23 2015 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.9-alt1
- Initial build for Sisyphus

